import 'package:json_annotation/json_annotation.dart';

class IntellectualTypeData {
  final int id;
  final String? code;
  final String? name;
  final String? detail;
  final String? value;
  final String? link;
  final String? target;
  final String? icon;
  final String? image;
  @JsonKey(name: 'class')
  final String? className;
  final String? level;
  final String? group;
  final String? category;
  final String? scope;
  final String? status;
  final String? refSubId;
  final String? refMainId;
  final String? createdAt;
  final String? updatedAt;
  final String? tbName;
  final String? tbId;

  IntellectualTypeData(
    this.id,
    this.code,
    this.name,
    this.detail,
    this.value,
    this.link,
    this.target,
    this.icon,
    this.image,
    this.className,
    this.level,
    this.group,
    this.category,
    this.scope,
    this.status,
    this.refSubId,
    this.refMainId,
    this.createdAt,
    this.updatedAt,
    this.tbName,
    this.tbId,
  );
}
