import '../../domain/entities/flavor/flavor_data.dart';
import '../enum/flavor.dart';

class FlavorSettings {
  final AppFlavorData appSetting;

  FlavorSettings.dev()
      : appSetting = AppFlavorData(
          flavorName: Flavors.dev,
          baseUrl: "https://ipmart.ipthailand.go.th",
          webDomain: "https://ipmart.ipthailand.go.th",
        );

  FlavorSettings.sit()
      : appSetting = AppFlavorData(
          flavorName: Flavors.sit,
          baseUrl: "",
        );

  FlavorSettings.uat()
      : appSetting = AppFlavorData(
          flavorName: Flavors.uat,
          baseUrl: "",
        );

  FlavorSettings.prd()
      : appSetting = AppFlavorData(
          flavorName: Flavors.prd,
          baseUrl: "https://ipmart.ipthailand.go.th",
          webDomain: "https://ipmart.ipthailand.go.th",
        );
}
