class ProductDipRegisInfoModel {
  late final int? requestNumber;
  late final int? requestDate;
  late final String? expireDate;
  late final String? name;
  late final String? requestName;
  late final String? addressOfRequestName;
  late final String? certificateNumber;
  late final String? certificateDate;


  ProductDipRegisInfoModel({
    required this.requestNumber,
    required this.requestDate,
    required this.expireDate,
    required this.name,

    required this.requestName,
    required this.addressOfRequestName,
    required this.certificateNumber,
    required this.certificateDate,

  });

  ProductDipRegisInfoModel.fromJson(Map<String, dynamic> json) {
    requestNumber = json['request_number'];
    requestDate = json['request_date'];
    expireDate = json['expire_date'];
    name = json['name'];

    requestName = json['request_name'];
    addressOfRequestName = json['address_of_request_name'];
    certificateNumber = json['certificate_number'];
    certificateDate = json['certificate_date'];

  }

  Map<String, dynamic> toJson() {
    late final _data = <String, dynamic>{};
    _data['request_number'] = requestNumber;
    _data['request_date'] = requestDate;
    _data['expire_date'] = expireDate;
    _data['name'] = name;
    _data['request_name'] = requestName;
    _data['address_of_request_name'] = addressOfRequestName;
    _data['certificate_number'] = certificateNumber;
    _data['certificate_date'] = certificateDate;

    return _data;
  }
}
